Subscription Usages - Get
Lekéri az előfizetés használati metrikáját.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/usages/{usageName}?api-version=2025-01-01
URI-paraméterek
| Name | In | Kötelező | Típus | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
Annak a régiónak a neve, ahol az erőforrás található. |
|
subscription
|
path | True |
string (uuid) |
A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie. |
|
usage
|
path | True |
string |
A visszaadandó használati metrikák neve. |
|
api-version
|
query | True |
string minLength: 1 |
A művelethez használandó API-verzió. |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 200 OK |
Az Azure működése sikeresen befejeződött. |
|
| Other Status Codes |
Váratlan hibaválasz. |
Biztonság
azure_auth
Azure Active Directory OAuth2 Flow.
Típus:
oauth2
Folyamat:
implicit
Engedélyezési URL:
https://login.microsoftonline.com/common/oauth2/authorize
Hatókörök
| Name | Description |
|---|---|
| user_impersonation | a felhasználói fiók megszemélyesítése |
Példák
Get specific subscription usage in the given location.
Mintakérelem
Mintaválasz
{
"name": "ServerQuota",
"type": "Microsoft.Sql/locations/usages",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/Onebox/usages/ServerQuota",
"properties": {
"currentValue": 1,
"displayName": "Regional Server Quota for West US",
"limit": 20,
"unit": "Count"
}
}
Definíciók
| Name | Description |
|---|---|
|
created |
Az erőforrást létrehozó identitás típusa. |
|
Error |
Az erőforrás-kezelési hiba további információi. |
|
Error |
A hiba részletei. |
|
Error |
Hibaválasz |
|
Subscription |
Egy előfizetés használati metrikája egy helyen. |
|
system |
Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok. |
createdByType
Az erőforrást létrehozó identitás típusa.
| Érték | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Az erőforrás-kezelési hiba további információi.
| Name | Típus | Description |
|---|---|---|
| info |
object |
A további információk. |
| type |
string |
A további információtípus. |
ErrorDetail
A hiba részletei.
| Name | Típus | Description |
|---|---|---|
| additionalInfo |
A hiba további információi. |
|
| code |
string |
A hibakód. |
| details |
A hiba részletei. |
|
| message |
string |
A hibaüzenet. |
| target |
string |
A hiba célpontja. |
ErrorResponse
Hibaválasz
| Name | Típus | Description |
|---|---|---|
| error |
A hibaobjektum. |
SubscriptionUsage
Egy előfizetés használati metrikája egy helyen.
| Name | Típus | Description |
|---|---|---|
| id |
string (arm-id) |
Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
Az erőforrás neve |
| properties.currentValue |
number (double) |
A metrika aktuális értéke. |
| properties.displayName |
string |
A metrika felhasználó által olvasható neve. |
| properties.limit |
number (double) |
A metrika határértéke. |
| properties.unit |
string |
A metrika egysége. |
| systemData |
Azure Resource Manager metaadat, amely createdBy és modifiedBy információkat tartalmaz. |
|
| type |
string |
Az erőforrás típusa. Például: "Microsoft. Compute/virtualMachines" vagy "Microsoft. Tárhely/tárolásFiókok" |
systemData
Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.
| Name | Típus | Description |
|---|---|---|
| createdAt |
string (date-time) |
Az erőforrás-létrehozás időbélyege (UTC). |
| createdBy |
string |
Az erőforrást létrehozó identitás. |
| createdByType |
Az erőforrást létrehozó identitás típusa. |
|
| lastModifiedAt |
string (date-time) |
Az erőforrás utolsó módosításának időbélyege (UTC) |
| lastModifiedBy |
string |
Az erőforrást legutóbb módosító identitás. |
| lastModifiedByType |
Az erőforrást legutóbb módosító identitás típusa. |